Subject: Re: [PATCH v2 02/18] make: add -fPIE flag

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Sep 2025 13:07:37 -0700

Ezekiel Newren <[email-masked]> writes:

> I was trying to get the rust compiler to link against libgit.a. Both
> Meson and Makefile produce libgit.a. No changes were to meson.build
> were necessary for that to work, but but with Makefile I would get
> errors like:
> relocation R_X86_64_32 against `.rodata' can not be used when making a
> PIE object; recompile with -fPIE

This sounds like a workaround that is somewhat platform and compiler
specific limitation, at least to me.  Does this need to be conditional
and if so on what?

Thanks.